Skip to main content
GET
/
customers
/
api
/
manage
curl "https://api.trusset.org/customers/api/manage?limit=20&search=acme" \
  -H "X-API-Key: trusset_abc123xy_secret..."
{
  "success": true,
  "data": [
    {
      "id": "cust_abc123",
      "instanceId": "inst_xyz789",
      "walletAddress": "0xAbC123dEf456789012345678901234567890AbCd",
      "country": "DE",
      "investorType": "PROFESSIONAL",
      "status": "verified",
      "verifiedAt": "2025-03-01T10:00:00.000Z",
      "archived": false
    }
  ],
  "metadata": {
    "total": 1,
    "requestId": "550e8400-e29b-41d4-a716-446655440000",
    "timestamp": "2025-06-15T12:00:00.000Z"
  }
}
Returns a paginated list of customers belonging to the authenticated instance. By default, archived customers are excluded.

Query Parameters

Free-text search across customer fields.
includeArchived
string
default:"false"
Set to true to include archived customers in results.
limit
integer
default:"100"
Number of results per page.
offset
integer
default:"0"
Number of results to skip for pagination.

Response Fields

success
boolean
Request status
data
array
Array of customer objects
metadata
object
curl "https://api.trusset.org/customers/api/manage?limit=20&search=acme" \
  -H "X-API-Key: trusset_abc123xy_secret..."
{
  "success": true,
  "data": [
    {
      "id": "cust_abc123",
      "instanceId": "inst_xyz789",
      "walletAddress": "0xAbC123dEf456789012345678901234567890AbCd",
      "country": "DE",
      "investorType": "PROFESSIONAL",
      "status": "verified",
      "verifiedAt": "2025-03-01T10:00:00.000Z",
      "archived": false
    }
  ],
  "metadata": {
    "total": 1,
    "requestId": "550e8400-e29b-41d4-a716-446655440000",
    "timestamp": "2025-06-15T12:00:00.000Z"
  }
}